Jump to content



Photo

Luatomic


  • Please log in to reply
11 replies to this topic

#1 Janek

Janek

    Newbie

  • Members
  • Pip
  • 10 posts

  • Calculators:
    Classpad 300, TI-83 Plus

Posted 14 September 2006 - 06:54 PM

Hi everyone!

I have written a periodic table application in LUA. Yes, I know that there already are a few periodic tables available, however none of them suited my needs. They were either too slow or didn't have enough data on the elements. As none of them made it possible for the user to add data, I finally made up my mind to write my own! :D

LUAtomic 0.5 -> download

I would really like this version to be helpful to many users which is why I will do my best to keep it up-to-date and add new functions as well as improve the speed.

If you have any thoughts, suggestions please let me know.

#2 2072

2072

    Casio over god

  • Admin
  • PipPipPipPipPipPipPipPip
  • 1550 posts
  • Gender:Male
  • Location:Somewherebourg
  • Interests:Cinema, Programming, Music and a lot of thing...

  • Calculators:
    AFX2 ROM 1.02, CFX-9940GT+, FX-180P-Plus

Posted 15 September 2006 - 06:16 PM

I suggest you to add it in the File Sharing

#3 girdeux

girdeux

    Casio Addict

  • Members
  • PipPipPip
  • 88 posts
  • Location:Spain / Castell?n

  • Calculators:
    casio fx-115ms;
    casio classpad 300

Posted 16 September 2006 - 01:38 PM

I upload the 2 files: LNAtmdat & LNAtomic by CPManager, then with CPLua I click on run script or open file, I select LUAtomic/LUAtomic and a message of error appears in my screen: incorrect file type. :banghead:
Where is my mistake?? How can I open the program??

CPLua 0.8
LNA 1.6

#4 Janek

Janek

    Newbie

  • Members
  • Pip
  • 10 posts

  • Calculators:
    Classpad 300, TI-83 Plus

Posted 16 September 2006 - 05:34 PM

I upload the 2 files: LNAtmdat & LNAtomic by CPManager, then with CPLua I click on run script or open file, I select LUAtomic/LUAtomic and a message of error appears in my screen: incorrect file type. :banghead:
Where is my mistake?? How can I open the program??

CPLua 0.8
LUA 1.6

I'm not sure. Could it be the case that the code written in LUA 0.9B is not reverse compatible with CPLUA 0.8.
I'll install the older version and take a look into it.

#5 Orwell

Orwell

    Casio Overlord

  • Members
  • PipPipPipPipPipPipPip
  • 777 posts
  • Gender:Male
  • Location:Paris - France

  • Calculators:
    Casio AFX 1.02 / Casio ClassPad 300

Posted 16 September 2006 - 05:41 PM

Could it be the case that the code written in LUA 0.9B is not reverse compatible with CPLUA 0.8.

It is not compatible indeed... Sorry for the trouble :(

#6 PAP

PAP

    Casio Overlord

  • Members
  • PipPipPipPipPipPipPip
  • 681 posts
  • Gender:Male
  • Location:Somewhere in Europe.
  • Interests:Computer Algebra, Numerical Analysis.

  • Calculators:
    ClassPad 300 (plus an old Casio model, with only a few Kb ram).

Posted 20 September 2006 - 08:00 PM

I upload the 2 files: LNAtmdat & LNAtomic by CPManager, then with CPLua I click on run script or open file, I select LUAtomic/LUAtomic and a message of error appears in my screen: incorrect file type. :banghead:
Where is my mistake?? How can I open the program??

CPLua 0.8
LNA 1.6

LNA 1.6? You don't need it for this. You are probably confused somehow.

#7 Janek

Janek

    Newbie

  • Members
  • Pip
  • 10 posts

  • Calculators:
    Classpad 300, TI-83 Plus

Posted 20 September 2006 - 09:59 PM

Regarding compatibility, the issue is that I am not sure whether it makes sense to "update" the files to make them work with the version 0.8. This normally wouldn't be a problem, however there are 113 files which would need to be recreated, which would obviously take some time. :banghead: (This was a way to make life easier for users)

I am not sure whether people are reluctant to update to CPLUA 0.9b (now 0.9c). Moreover I gather that the official 0.9 release will be coming relatively soon anyway. :D

So. If someone really really needs LUAtomic to work with CPLUA 0.8, then please let me know. If not I will just maintain the version for CPLUA 0.9

#8 Orwell

Orwell

    Casio Overlord

  • Members
  • PipPipPipPipPipPipPip
  • 777 posts
  • Gender:Male
  • Location:Paris - France

  • Calculators:
    Casio AFX 1.02 / Casio ClassPad 300

Posted 21 September 2006 - 08:52 AM

Regarding compatibility, the issue is that I am not sure whether it makes sense to "update" the files to make them work with the version 0.8. This normally wouldn't be a problem, however there are 113 files which would need to be recreated, which would obviously take some time. :banghead: (This was a way to make life easier for users)

I see... You created one file per element? :P It would take some time to convert it indeed.
Hey, I could easily write a small add-in that could convert all Lua files beween the 2 file formats (0.8 <-> 0.9) at once. Would you be interested? :)

Moreover I gather that the official 0.9 release will be coming relatively soon anyway. :D

It shouldn't be too long indeed ^_^

So. If someone really really needs LUAtomic to work with CPLUA 0.8, then please let me know. If not I will just maintain the version for CPLUA 0.9

One of the big advantages of CPLua 0.9 (if you are using text files to store information about chemical elements), is that you can edt these files directly in the editor too ;)

#9 Janek

Janek

    Newbie

  • Members
  • Pip
  • 10 posts

  • Calculators:
    Classpad 300, TI-83 Plus

Posted 21 September 2006 - 10:48 AM

I see... You created one file per element? :P It would take some time to convert it indeed.
Hey, I could easily write a small add-in that could convert all Lua files beween the 2 file formats (0.8 <-> 0.9) at once. Would you be interested? :)

If it's not too much trouble, then I would really appreciate it. :bow:

It would also be very useful to users wanting to update while having many files in the old format.

#10 Janek

Janek

    Newbie

  • Members
  • Pip
  • 10 posts

  • Calculators:
    Classpad 300, TI-83 Plus

Posted 22 September 2006 - 02:07 PM

I have written a new version of LUAtomic (0.6), which you can download here (it should also be available through filesharing soon)
Here are some screenshots:
Posted Image Posted Image Posted Image Posted Image

This release has one major new feature which is the calculator. You can use it to calculate the molecular mass of any compound you type. No special syntax required. :)
I have also added a menu and a way to exit the program without using "Break" as well as changed the graphics for the Periodic Table view. Unfortunately the program won't work under LUA 0.8 or older, sorry for the inconvenience.

Hope you like it!

#11 Janek

Janek

    Newbie

  • Members
  • Pip
  • 10 posts

  • Calculators:
    Classpad 300, TI-83 Plus

Posted 26 September 2006 - 08:52 PM

This should be the last release for a while, but I think it is a very important one. ;)

I have managed to considerably decrease the time needed for the element data to load, which means that the application works much faster. Furthermore the alignment of the periodic table is slightly changed (by one pixel, so you probably won't notice) and the configuration data is now displayed with numbers in superscript.

Download LUAtomic-0.7

#12 Janek

Janek

    Newbie

  • Members
  • Pip
  • 10 posts

  • Calculators:
    Classpad 300, TI-83 Plus

Posted 21 December 2006 - 06:24 PM

Just a quick release. For those of you using CPLua 0.9D, LUAtomic 0.7 won't work. Please download the new version here:

LUAtomic - 0.7.5

If you are still using older versions of CPLua, the new release won't work either, however it doesn't contain any new features, so there is no need to upgrade if you already have LUAtomic.




0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users